Skip to content

Get the profiles holding an active vouch toward a profile

GET
/vouches/incoming-author-profile-ids
curl --request GET \
--url 'https://api.ethos.network/api/v2/vouches/incoming-author-profile-ids?profileId=1'

Unpaginated, and version-erased — one set of authors, never one per version. Authors without an Ethos profile are omitted. > ⚠️ Warning: This is a beta endpoint. It is not guaranteed to be stable and may change or break without notice.

profileId
required
integer
> 0 <= 2147483647

Successful response

Media typeapplication/json
object
authorProfileIds
required
Array<integer>

Example generated

{
"authorProfileIds": [
1
]
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}